## NMSettingPppoe

NMSettingPppoe — Describes PPPoE connection properties

## Functions

NMSetting * | nm_setting_pppoe_new ()
const char * | nm_setting_pppoe_get_parent ()
const char * | nm_setting_pppoe_get_service ()
const char * | nm_setting_pppoe_get_username ()
const char * | nm_setting_pppoe_get_password ()
NMSettingSecretFlags | nm_setting_pppoe_get_password_flags ()

## Properties

gchar * | parent | Read / Write / Construct
gchar * | password | Read / Write
NMSettingSecretFlags | password-flags | Read / Write
gchar * | service | Read / Write
gchar * | username | Read / Write

## Types and Values

#define | NM_SETTING_PPPOE_SETTING_NAME
#define | NM_SETTING_PPPOE_PARENT
#define | NM_SETTING_PPPOE_SERVICE
#define | NM_SETTING_PPPOE_USERNAME
#define | NM_SETTING_PPPOE_PASSWORD
#define | NM_SETTING_PPPOE_PASSWORD_FLAGS
| NMSettingPppoe

## Object Hierarchy

        GObject
        ╰── NMSetting
            ╰── NMSettingPppoe

## Description

The NMSettingPppoe object is a NMSetting subclass that describes properties necessary for connection to networks that require PPPoE connections to provide IP transport, for example cable or DSL modems.

## Functions

### nm_setting_pppoe_new ()

    NMSetting *
    nm_setting_pppoe_new (void);

Creates a new NMSettingPppoe object with default values.

#### Returns

the new empty NMSettingPppoe object.

[transfer full]

### nm_setting_pppoe_get_parent ()

    const char *
    nm_setting_pppoe_get_parent (NMSettingPppoe *setting);

#### Parameters

setting | the NMSettingPppoe |

#### Returns

the “parent” property of the setting

Since: 1.10

### nm_setting_pppoe_get_service ()

    const char *
    nm_setting_pppoe_get_service (NMSettingPppoe *setting);

#### Parameters

setting | the NMSettingPppoe |

#### Returns

the “service” property of the setting

### nm_setting_pppoe_get_username ()

    const char *
    nm_setting_pppoe_get_username (NMSettingPppoe *setting);

#### Parameters

setting | the NMSettingPppoe |

#### Returns

the “username” property of the setting

### nm_setting_pppoe_get_password ()

    const char *
    nm_setting_pppoe_get_password (NMSettingPppoe *setting);

#### Parameters

setting | the NMSettingPppoe |

#### Returns

the “password” property of the setting

### nm_setting_pppoe_get_password_flags ()

    NMSettingSecretFlags
    nm_setting_pppoe_get_password_flags (NMSettingPppoe *setting);

#### Parameters

setting | the NMSettingPppoe |

#### Returns

the NMSettingSecretFlags pertaining to the “password”

## Types and Values

### NM_SETTING_PPPOE_SETTING_NAME

    #define NM_SETTING_PPPOE_SETTING_NAME "pppoe"

### NM_SETTING_PPPOE_PARENT

    #define NM_SETTING_PPPOE_PARENT         "parent"

### NM_SETTING_PPPOE_SERVICE

    #define NM_SETTING_PPPOE_SERVICE        "service"

### NM_SETTING_PPPOE_USERNAME

    #define NM_SETTING_PPPOE_USERNAME       "username"

### NM_SETTING_PPPOE_PASSWORD

    #define NM_SETTING_PPPOE_PASSWORD       "password"

### NM_SETTING_PPPOE_PASSWORD_FLAGS

    #define NM_SETTING_PPPOE_PASSWORD_FLAGS "password-flags"

### NMSettingPppoe

    typedef struct _NMSettingPppoe NMSettingPppoe;

PPP-over-Ethernet Settings

## Property Details

### The `“parent”` property

      “parent”                   gchar *

If given, specifies the parent interface name on which this PPPoE connection should be created. If this property is not specified, the connection is activated on the interface specified in “interface-name” of NMSettingConnection.

Owner: NMSettingPppoe

Flags: Read / Write / Construct

Default value: NULL

Since: 1.10

### The `“password”` property

      “password”                 gchar *

Password used to authenticate with the PPPoE service.

Owner: NMSettingPppoe

Flags: Read / Write

Default value: NULL

### The `“password-flags”` property

      “password-flags”           NMSettingSecretFlags

Flags indicating how to handle the “password” property.

Owner: NMSettingPppoe

Flags: Read / Write

### The `“service”` property

      “service”                  gchar *

If specified, instruct PPPoE to only initiate sessions with access concentrators that provide the specified service. For most providers, this should be left blank. It is only required if there are multiple access concentrators or a specific service is known to be required.

Owner: NMSettingPppoe

Flags: Read / Write

Default value: NULL

### The `“username”` property

      “username”                 gchar *

Username used to authenticate with the PPPoE service.

Owner: NMSettingPppoe

Flags: Read / Write

Default value: NULL